Bug 215080

Summary: document.referrer value is missing trailing slash
Product: WebKit Reporter: Eric Lawrence (MSFT) <ericlaw>
Component: DOMAssignee: Alex Christensen <achristensen>
Status: RESOLVED FIXED    
Severity: Normal CC: achristensen, beidson, cdumez, esprehn+autocc, ews-watchlist, gsnedders, kangil.han, rwlbuis, sam, webkit-bug-importer, wilander
Priority: P2 Keywords: InRadar
Version: Safari Technology Preview   
Hardware: Unspecified   
OS: Unspecified   
See Also: https://bugs.webkit.org/show_bug.cgi?id=227795
Attachments:
Description Flags
Patch none

Description Eric Lawrence (MSFT) 2020-08-03 06:13:44 PDT
1. Visit https://bayden.com/test/refer/
2. Click https://webdbg.com/test/refer/

OBSERVE: At the top of the page, we see "document.referrer is https://bayden.com"

EXPECT: At the top of the page, we see "document.referrer is https://bayden.com/" with the trailing slash. When sanitizing the referer HTTP header for cross-origin subdownloads, Safari includes the slash. 
Chromium always includes the slash.
Comment 1 Radar WebKit Bug Importer 2020-08-04 13:41:32 PDT
<rdar://problem/66539402>
Comment 2 Sam Sneddon [:gsnedders] 2021-07-27 06:16:08 PDT
Presumably ITP related, given it's document.referrer only?
Comment 3 Alex Christensen 2021-07-27 09:09:06 PDT
Created attachment 434292 [details]
Patch
Comment 4 EWS 2021-07-27 10:21:01 PDT
Committed r280342 (239989@main): <https://commits.webkit.org/239989@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 434292 [details].